Loading...
Searching...
No Matches
bssgp_rim_routing_info Struct Reference

BSSGP RIM Routing information, see also 3GPP TS 48.018, section 11.3.70. More...

`#include <gprs_bssgp_rim.h>`

## Data Fields

enum bssgp_rim_routing_info_discr | discr
union { |
struct { |
struct gprs_ra_id raid |
uint16_t cid |
} geran
struct { |
struct gprs_ra_id raid |
uint16_t rncid |
} utran
struct { |
struct osmo_eutran_tai tai |
uint8_t global_enb_id [8] |
uint8_t global_enb_id_len |
} eutran
}; |

## Detailed Description

BSSGP RIM Routing information, see also 3GPP TS 48.018, section 11.3.70.

## Field Documentation

## [union]

union { ... } bssgp_rim_routing_info

## cid

uint16_t bssgp_rim_routing_info::cid

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## discr

enum bssgp_rim_routing_info_discr bssgp_rim_routing_info::discr

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## [struct]

struct { ... } bssgp_rim_routing_info::eutran

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## [struct]

struct { ... } bssgp_rim_routing_info::geran

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## global_enb_id

uint8_t bssgp_rim_routing_info::global_enb_id[8]

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## global_enb_id_len

uint8_t bssgp_rim_routing_info::global_enb_id_len

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## raid

struct gprs_ra_id bssgp_rim_routing_info::raid

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## rncid

uint16_t bssgp_rim_routing_info::rncid

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## tai

struct osmo_eutran_tai bssgp_rim_routing_info::tai

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

## [struct]

struct { ... } bssgp_rim_routing_info::utran

Referenced by bssgp_create_rim_ri(), bssgp_parse_rim_ra(), and bssgp_rim_ri_name_buf().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_bssgp_rim.h